Subject: Re: [PATCH 4/5] refs/reftable-backend: drop uses of the_repository

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 27 Mar 2026 08:50:10 +0100

On Wed, Mar 25, 2026 at 10:14:21PM +0530, Shreyansh Paliwal wrote:
> reftable_be_init() and reftable_be_create_on_disk() use the_repository even
> though a repository instance is already available, either directly or via
> struct ref_store.
> 
> Replace these uses with the appropriate local repository instance (repo or
> ref_store->repo) to avoid relying on global state.
> 
> Note that USE_THE_REPOSITORY_VARIABLE cannot be removed yet, as
> is_bare_repository() is still there in the file.

Yeah, `is_bare_repository()` is a blocker in many files :(

Patrick